Subject: Re: mmotm 2010-04-05-16-09 uploaded

From: [email-masked]
Date: Thu, 08 Apr 2010 20:50:06 -0400

On Thu, 08 Apr 2010 17:36:07 +0200, Patrick McHardy said:

> [email-masked] wrote:

> > Well, it *changed* it.  Does the rcu_defererence_check() only fire on the
> > first time it hits something, so we've fixed the first one and now we get to
> > see the second one?
> 
> It appears that way, otherwise you should have seen a second warning in
> nf_conntrack_ecache the last time.
> 
> > (For what it's worth, if this is going to be one-at-a-time whack-a-mole, I'm
> > OK on that, just want to know up front.)
> 
> I went through the other files and I believe this should be it.
> We already removed most of these incorrect rcu_dereference()
> calls a while back.

Confirming - the second version of the patch fixes all the network-related
RCU complaints I've been able to trigger...